org.eclipse.mat.parser.internal.oql.compiler

## Class QueryExpression

- java.lang.Object
- - org.eclipse.mat.parser.internal.oql.compiler.Expression
  - - org.eclipse.mat.parser.internal.oql.compiler.QueryExpression

    public class QueryExpression
    extends Expression

### Constructor Summary

Constructors
Constructor and Description
`QueryExpression(Query query)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `compute(EvaluationContext ctx)`
`boolean` `isContextDependent(EvaluationContext ctx)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryExpression

    public QueryExpression(Query query)

### Method Detail

#### compute

    public Object compute(EvaluationContext ctx)
                   throws SnapshotException,
                          IProgressListener.OperationCanceledException

Specified by:
  `compute` in class `Expression`
Throws:
  `SnapshotException`
  `IProgressListener.OperationCanceledException`

#### isContextDependent

    public boolean isContextDependent(EvaluationContext ctx)

Specified by:
  `isContextDependent` in class `Expression`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`